"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Pagination = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultDotStyle = {
  dotColor: 'lightgray',
  activeDotColor: 'darkgray',
  dotSize: 8,
  activeDotSize: 9
};
const Pagination = exports.Pagination = /*#__PURE__*/_react.default.memo(_ref => {
  let {
    numPages,
    currentIndex,
    dotStyle
  } = _ref;
  const {
    dotColor,
    activeDotColor,
    dotSize,
    activeDotSize
  } = {
    ...defaultDotStyle,
    ...dotStyle
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.paginationContainer
  }, Array.from({
    length: numPages
  }).map((_, index) => {
    const isActive = index === currentIndex;
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      key: index,
      style: [styles.dot, {
        backgroundColor: isActive ? activeDotColor : dotColor,
        width: isActive ? activeDotSize : dotSize,
        height: isActive ? activeDotSize : dotSize
      }]
    });
  }));
});
const styles = _reactNative.StyleSheet.create({
  paginationContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    marginTop: 16
  },
  dot: {
    borderRadius: 50,
    marginHorizontal: 4
  }
});
//# sourceMappingURL=Pagination.js.map