import React from 'react';
import { View, StyleSheet } from 'react-native';
const defaultDotStyle = {
  dotColor: 'lightgray',
  activeDotColor: 'darkgray',
  dotSize: 8,
  activeDotSize: 9
};
export const Pagination = /*#__PURE__*/React.memo(_ref => {
  let {
    numPages,
    currentIndex,
    dotStyle
  } = _ref;
  const {
    dotColor,
    activeDotColor,
    dotSize,
    activeDotSize
  } = {
    ...defaultDotStyle,
    ...dotStyle
  };
  return /*#__PURE__*/React.createElement(View, {
    style: styles.paginationContainer
  }, Array.from({
    length: numPages
  }).map((_, index) => {
    const isActive = index === currentIndex;
    return /*#__PURE__*/React.createElement(View, {
      key: index,
      style: [styles.dot, {
        backgroundColor: isActive ? activeDotColor : dotColor,
        width: isActive ? activeDotSize : dotSize,
        height: isActive ? activeDotSize : dotSize
      }]
    });
  }));
});
const styles = StyleSheet.create({
  paginationContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    marginTop: 16
  },
  dot: {
    borderRadius: 50,
    marginHorizontal: 4
  }
});
//# sourceMappingURL=Pagination.js.map